/* ========================================
 *
 *
 *
 * ========================================
*/

#include <project.h>

#define BlinkLED1(); {Pin_LED1_Write(1); CyDelayUs(130); Pin_LED1_Write(0);} // blink LED indicator

    typedef enum TRange {_int, _float, _enum} range; // list of menu item types
    
    typedef struct {
        //char name[5];   // name    
        range type;     // type
        float value;    // value
        float step;     // increment step
        float min;      // min value
        float max;      // max value
        uint8 bounds;   // check bounds
        //format sting?
    } TMenuItem;


#define MENU_LEN  (4u)          // number of menu items
    
TMenuItem Menu[MENU_LEN];       // menu items set

extern const char * enum_txt [];// container for enumerated strings 

const char term_str[3];         // Nextion message terminator {0xFF, 0xFF, 0xFF}


uint8 menu_idx;                 // menu selected index
uint8 menu_initialized;         // menu_idx is set to valid item

   
//=====================================
//        Function Prototypes 
//=====================================

void Update_Menu();             // repaint menu fields
void Update_Value(uint8 index); // repaint item field


/* [] END OF FILE */
