/* ========================================
 *
 *
 *
 * ========================================
*/

#include <project.h>


    typedef enum TRange {_int, _float, _enum} range; // menu item types
    
    typedef struct {
        char name[5];   // name    
        range type;     // type
        float value;    // value
        float step;     // increment step
        float min;      // min value
        float max;      // max value
        uint8 bounds;   // check bounds
    } TMenuItem;


#define MENU_LEN  (4u)          // number of menu items
    
TMenuItem Menu[MENU_LEN];       // array of parameters

extern const char * words [];   // container for enumerated strings
extern uint8 const CYCODE LCD_customFonts[]; // custom LCD characters

uint8 menu_idx;                 // menu selected index
uint8 editing;                  // entered parameter updating



/***************************************
*        Function Prototypes
***************************************/

void Refresh_LCD();


/* [] END OF FILE */
